### Class

# Snapd Log

since: 1.64

#### Description [src]

    final class Snapd.Log : GObject.Object
    {
      /* No available fields */
    }

`SnapdLog` is an opaque data structure and can only be accessed using the provided functions.

Available since: 1.64

#### Ancestors

- GObject

#### Instance methods

###### snapd_log_get_message

Get the message of this log, e.g. “service started”.

since: 1.64

###### snapd_log_get_pid

Get the process ID of this log, e.g. “1234”.

since: 1.64

###### snapd_log_get_sid

Get the syslog id of this log, e.g. “cups.cups-browsed”.

since: 1.64

###### snapd_log_get_timestamp

Get the time this log was generated.

since: 1.64

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Log:message

No description available.

###### Snapd.Log:pid

No description available.

###### Snapd.Log:sid

No description available.

###### Snapd.Log:timestamp

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdLogClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.